<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>
<body>
	<div>0</div>
	<button type="button" id="arranca">Arrancar</button>
	<button type="button" id="para">Parar</button>
	<script type="text/javascript">
		let id=null;
		let contador=0;
		document.querySelector("#arranca").addEventListener("click",(e) => {
			document.querySelector("#arranca").disabled=true;
		  id=setInterval(() => {
		  	contador++;
		    document.querySelector("div").innerHTML=contador;
		  }, 1000);
		});

		document.querySelector("#para").addEventListener("click",(e) => {
		  clearInterval(id);
		  document.querySelector("#arranca").disabled=false;
		});
		
	</script>
</body>
</html>